Bug 437377 - unusual provides confuses older rpm/yum versions and thus mock
Summary: unusual provides confuses older rpm/yum versions and thus mock
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: event-compat-sysv (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Casey Dahlin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-13 19:04 UTC by Thorsten Leemhuis
Modified: 2014-06-18 08:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-17 04:05:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thorsten Leemhuis 2008-03-13 19:04:12 UTC
Description of problem:
event-compat-sysv.spec currently contains this:

Obsoletes:	sysvinit
Provides:	SysVinit >= 2.83
Provides:	sysvinit >= 2.83

A "Provides" with a >= is a bit odd, but seems to work in rawhide. Nevertheless
it is nearly just as bad as a unversioned provides and could lead to trouble if
we ever want to put a SysVinit package back into the repo. That alone is likely
reason enough to fix this.

But the odd provides also creates problem for older yum/rpm versions, that are
indirectly used together with the rawhide repo if you use mock on older Fedora
or RHEL releases. IOW: the users runs into this problem:
[...]
Error: Missing Dependency: SysVinit >= 2.85-38 is needed by package initscripts
[...]

I ran into this myself and saw a report in #fedora-devel today from another user
that faced the same problem.


Version-Release number of selected component (if applicable):
event-compat-sysv-0:0.3.9-9.fc9.noarch


Additional informations:
The Obsoletes in unversioned as well, which could lead to trouble should we want
to put a sysvinit package into the repo again.


Proposed solution:
---
Obsoletes:      SysVinit <= 2.86-23
Provides:	SysVinit = 2.86
Provides:	sysvinit = 2.86
---

Comment 1 Ville Skyttä 2008-03-13 19:52:34 UTC
(In reply to comment #0)

> Obsoletes:      SysVinit <= 2.86-23
> Provides:	SysVinit = 2.86
> Provides:	sysvinit = 2.86

That would probably make the package self-obsoleting.  I'd suggest this instead:

Obsoletes: SysVinit < 2.86-24, sysvinit < 2.86-24
Provides: SysVinit = 2.86-24, sysvinit = 2.86-24

Comment 2 Rex Dieter 2008-03-13 19:58:45 UTC
+1 to comment #1

I'm seeing this on my rhel5/mock builders trying to create f9 buildroots.

Comment 3 Thorsten Leemhuis 2008-03-13 20:07:18 UTC
(In reply to comment #1)
> That would probably make the package self-obsoleting. 

Ohh, yeah, you're right. Sorry for the thinko.



Comment 4 Casey Dahlin 2008-03-13 21:12:28 UTC
I'll push this tonight.

Comment 5 Casey Dahlin 2008-03-17 04:05:29 UTC
Fixed in event-compat-sysv-0.3.9-10


Note You need to log in before you can comment on or make changes to this bug.